local bb101util = require "bb101util"

function data()

-- Erweiterungsfunktion zur Ansteuerung dank Hilfe von EAT1963

	-- fahrt 1
local function br187_3 (input)
	if input.speed01 < 0.24  then
		return { 
					gain = bb101util.sampleCurve({ 
									{ .0, .3 },
									{ .1, .4 },
									{ 1.0, 1.0 } }, input.power01)*
							bb101util.sampleCurve({ 
										{ .0, 0.0 },
										{ .16, 0.0 },
										{ .165, 0.8 },										
										{ 1.0, 0.8 } }, input.speed01),		
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ .25, 1.0 },
									{ 1.0, 1.15 } }, input.speed01)
				}

	else
		return 
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .24, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)*
							bb101util.sampleCurve({ 
										{ .0, .0 },
										{ .1, .0 },
										{ .2, .3 },
										{ .5, .45 },
										{ 1.0, 0.7 } }, input.power01),																
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ .25, 1.0 },
									{ 1.0, 1.15 } }, input.speed01)
				}
					
	end
end



return {
	tracks = {
		{ name = "vehicle/br187/gw_roll_n.wav", refDist = 20.0 },	
		{ name = "vehicle/br187/br187_stand.wav", refDist = 20.0 },
		{ name = "vehicle/br187/br187_1.wav", refDist = 20.0 },	
		{ name = "vehicle/br187/br187_2.wav", refDist = 20.0 },					
		{ name = "vehicle/br187/br187_beschl3.wav", refDist = 20.0 },
		
		{ name = "vehicle/br187/br187_3.wav", refDist = 20.0 },			
		
		{ name = "vehicle/br187/kurve.wav", refDist = 15.0 },
		{ name = "vehicle/br187/bremse_neu.wav", refDist = 20.0 },
		{ name = "vehicle/br187/br187_slow.wav", refDist = 20.0 },					
	},
	events =  {
		horn = { names = { "vehicle/br187/br187_makro.wav" }, refDist = 20.0 }
	},

	updateFn = function (input)
		local speed01 = input.speed / input.topSpeed
		local refWeight = 20.0	
		local axleRefWeight = 10.0
		
		return {
			tracks = {
				--Roll
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, .0 },
									{ .2, .6 },
									{ 1.0, 1.5 } }, input.speed01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 0.5 },
									{ 1.0, 1.5 } }, input.speed01)
				},
			--stand
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, 1.5 },
									{ .5, 0.6 },
									{ 1.0, .0 } }, input.power01)*
								bb101util.sampleCurve({ 
										{ .0, 1.0 },
										{ .1, 1.5 },
										{ 1.0, 3.0 } }, input.speed01),									
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},
			--fahrt1
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, 0.4 },
									{ .1, 0.6 },
									{ 1.0, 1.0 } }, input.power01)*
							bb101util.sampleCurve({ 
										{ .0, 0.0 },
										{ .01, 1.0 },
										{ .085, 1.0 },
										{ .09, 0.0 },
										{ 1.0, 1.0 } }, input.speed01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},

			-- fahrt 2
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, 0.4 },
									{ .1, 0.6 },
									{ 1.0, 1.0 } }, input.power01)*
							bb101util.sampleCurve({ 
										{ .0, 0.0 },
										{ .08, 0.0 },
										{ .09, 1.0 },
										{ .165, 1.0 },
										{ .17, 0.0 },
										{ 1.0, 0.0 } }, input.speed01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},

			--Beschleunigung					
				{ 
					gain = bb101util.sampleCurve({ 
									{ .0, 0.0 },
									{ .23, 0.0 },									
									{ .28, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)*
							bb101util.sampleCurve({ 
										{ .0, 0.0 },
										{ .5, 0.0 },
										{ .7, 0.5 },
										{ 1.0, 0.9 } }, input.power01),
					pitch = bb101util.sampleCurve({ 
									{ .0, 1.05 },
									{ 1.0, 1.05 } }, input.power01)*
								bb101util.sampleCurve({ 
										{ .0, 1.0 },
										{ .5, 1.0 },
										{ 1.0, 1.2 } }, input.speed01)									
				},				
			
				br187_3 (input),
				bb101util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bb101util.brake(input.speed, input.brakeDecel, 1.0),
				bb101util.ebremse(input.speed, input.brakeDecel, 0.6),				
		},
			events = {
						horn = { gain = 0.9, pitch = 1.0 }			
			}
		}
	end
}
end
